/* Fonts */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;500;600;700;800;900&display=swap");

body {
  font-family: "Montserrat", sans-serif;
}

:root {
  --petrol: #004d5d;
  --aqua: #1ba7a6;
  --light-aqua: #e8f8fb;
  --mustard: #f9971c;
  --red: #de1f26;
  --gray: #4b4b4b;
  --silver: #b6b6b6;
}

/* Global style */
* {
  color: var(--petrol);
  font-family: "Montserrat", sans-serif !important;
  max-width: 100vw;
  overflow-x: hidden;
}
.rtl * {
  font-family: "Cairo", sans-serif;
}
a {
  text-decoration: none;
  color: var(--petrol);
}

.subtitle {
  color: var(--mustard);
}
/* Text color classes */
.text-petrol {
  color: var(--petrol);
}

.text-aqua {
  color: var(--aqua);
}

.text-mustard {
  color: var(--mustard);
}

.text-red {
  color: var(--red);
}

.text-gray {
  color: var(--gray);
}

.text-silver {
  color: var(--silver);
}
.text-light-aqua {
  color: var(--light-aqua);
}

/* Background color classes */
.bg-petrol {
  background-color: var(--petrol);
  color: white;
}

.bg-aqua {
  background-color: var(--aqua);
  color: white;
}

.bg-mustard {
  background-color: var(--mustard);
  color: black;
}

.bg-red {
  background-color: var(--red);
  color: white;
}

.bg-gray {
  background-color: var(--gray);
  color: white;
}

.bg-silver {
  background-color: var(--silver);
  color: black;
}

.bg-light-aqua {
  background-color: var(--light-aqua);
  color: var(--petrol);
}

.width-5 {
  width: 5%;
}
.width-10 {
  width: 10%;
}
.width-15 {
  width: 15%;
}
.width-20 {
  width: 20%;
}
.width-30 {
  width: 30%;
}
.width-40 {
  width: 40%;
}
.width-50 {
  width: 50%;
}
.width-60 {
  width: 60%;
}
.width-70 {
  width: 70%;
}
.width-80 {
  width: 80%;
}
.width-90 {
  width: 90%;
}
.width-100 {
  width: 100%;
}

/* Responsive Height Classes */

.height-10 {
  height: 2.5rem;
}
.height-15 {
  height: 3.75rem;
}
.height-20 {
  height: 5rem;
}
.height-30 {
  height: 7.5rem;
}

.height-40 {
  height: 10rem;
}

.height-50 {
  height: 12.5rem;
}

.height-60 {
  height: 15rem;
}

.height-70 {
  height: 17.5rem;
}

.height-80 {
  height: 20rem;
}

.height-90 {
  height: 22.5rem;
}

.height-100 {
  height: 25rem;
}

.customBtn {
  min-width: 100px;
  padding: 8px 10px;
  font-weight: 700;
  font-size: 0.9rem;
  text-transform: capitalize;
  border: none;
  border-radius: 7px;
  transition: 0.3s ease-out;
  background-color: var(--mustard);
  color: black;
  text-align: center;
  border: 2.5px solid var(--mustard);
  cursor: pointer;
}

.outLineBtn {
  background-color: white !important;
  color: var(--mustard) !important;
}

.outLineBtn:hover {
  background-color: var(--mustard) !important;
  color: black !important;
}

.borderBtn {
  background-color: inherit;
  color: var(--mustard);
  margin-inline-end: 10px;
}
.customBtn:hover {
  transform: scale(1.1);
  background-color: var(--mustard) !important;
  color: black !important;
}

a,
.linkBtn {
  border: none;
  background-color: inherit;
  color: var(--primary);
  text-decoration: none;
}
a:hover,
.linkBtn:hover {
  color: var(--primary);
}

.linkBtn {
  font-weight: 700;
}
.linkBtn:hover {
  text-decoration: underline;
}

button i {
  vertical-align: middle;
  margin: 0 3px;
}

/* titles */
.mainTitle {
  font-size: 2.2rem;
  text-transform: capitalize;
  font-weight: 700;
  color: var(--secondary);
  margin: 20px 0;
  overflow-x: hidden;
}

.subTitle {
  margin: 0;
  color: var(--aqua);
  text-transform: capitalize;
  margin-top: 5px;
  font-weight: 600;
}

.text {
  font-size: 1.1rem;
  color: var(--secondary);
  font-weight: 500;
  line-height: 1.4rem;
  /* padding: 25px 0; */
}

.tobHeaderBg {
  background-image: url("../images/content_topbar.jpg");
}
.swiper-pagination-bullet {
  padding: 6px;
}
.swiper-pagination-bullet-active {
  background-color: var(--petrol);
}

/* scroll bar */
::-webkit-scrollbar {
  width: 10px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar ul ul {
  padding-left: 20px;
}

.sidebar a {
  color: #333;
  text-decoration: none;
}

/* add custom style */
.hero-fg h1 {
  color: white;
}
.content-card {
  display: flex;
  border: none;
  justify-content: center;
  flex-direction: column;
  height: 100%;
}

.content-card img {
  width: 100%;
  height: 650px;
  object-fit: cover;
}

.content-card .card-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 30px;
  height: 100%;
}

.content-card .card-title {
  font-weight: 800;
  color: var(--petrol) !important;
  font-size: 2rem;
}

.content-card .card-subtitle {
  font-weight: 200;
  color: var(--mustard) !important;
}

.content-card p {
  font-size: 1.3rem;
}
.responsive-width {
  width: 100%;
}
.responsive-height {
  height: auto;
}

@media screen and (min-width: 768px) {
  /* add custom style */
  .content-card {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .reverse-md-dir {
    flex-direction: row-reverse !important;
  }
  .content-card img {
    width: 50%;
    height: 320px;
    object-fit: cover;
    flex-grow: 1;
  }

  .content-card .card-body {
    align-items: start;
    height: 100%;
    flex-grow: 1;
    justify-content: center;
  }
}

#search-suggestions {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  display: none;
  margin-bottom: 10px;
}

#search-suggestions .dropdown-item {
  padding: 10px;
  cursor: pointer;
}
